package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlType(
   name = "ETaskType"
)
@XmlEnum
public enum ETaskType {
   COMMAND_TASK,
   DECISION_TASK,
   EVENTWAIT_TASK,
   EVENTRAISE_TASK,
   STARTWORKFLOW_TASK,
   ABORTWORKFLOW_TASK,
   STOPWORKFLOW_TASK,
   EMAIL_TASK,
   TIMER_TASK,
   ASSIGNMENT_TASK,
   SESSION_TASK,
   WORKLET_TASK;

   public String value() {
      return this.name();
   }

   public static ETaskType fromValue(String v) {
      return valueOf(v);
   }
}
